﻿<?xml version="1.0" encoding="utf-8" ?>
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="OMSourceTransactionLookupResponse">
    <xs:complexType>
      <xs:all>
        <xs:element name="DateTimeStamp">
          <xs:complexType>
            <xs:simpleContent>
              <xs:extension base="xs:dateTime">
                <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
              </xs:extension>
            </xs:simpleContent>
          </xs:complexType>
        </xs:element>
        <xs:element name="SuccessFlag">
          <xs:annotation>
            <xs:documentation>
              Service Data Success is an internal flag to indicate
              the operational success of the request, and not the
              physical success of the service, which is indicated
              by the boolean on the Function call.
              This is only required in the service "Output".
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:simpleContent>
              <xs:extension base="xs:boolean" />
            </xs:simpleContent>
          </xs:complexType>
        </xs:element>
        <xs:element name="SourceTransactionDetail">
          <xs:complexType>
            <xs:choice minOccurs ="1" maxOccurs="1" >
              <xs:element name="ErrorDetail">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Source">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string">
                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                          </xs:extension>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SourceOrderNumber">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string">
                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                          </xs:extension>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name="OrderDetail">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Source">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SourceOrderNumber">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SellingStoreCode">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:integer"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SellingStoreTill">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SellingStoreTransaction">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:string"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SaleDate">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:extension base="xs:dateTime"/>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:all>
    </xs:complexType>
  </xs:element>
</xs:schema>
